<!-- HTML header for doxygen 1.8.9.1-->
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.11"/>
<meta name="robots" content="NOINDEX, NOFOLLOW" /> <!-- Prevent indexing by search engines -->
<title>ARM Compute Library: arm_compute/core/PyramidInfo.h Source File</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<script type="text/javascript">
  $(document).ready(initResizable);
  $(window).load(resizeHeight);
</script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { init_search(); });
</script>
<script type="text/x-mathjax-config">
  MathJax.Hub.Config({
    extensions: ["tex2jax.js"],
    jax: ["input/TeX","output/HTML-CSS"],
});
</script><script type="text/javascript" src="http://cdn.mathjax.org/mathjax/latest/MathJax.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td style="padding-left: 0.5em;">
   <div id="projectname">ARM Compute Library
   &#160;<span id="projectnumber">17.04</span>
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.11 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.xhtml"><span>Main&#160;Page</span></a></li>
      <li><a href="namespaces.xhtml"><span>Namespaces</span></a></li>
      <li><a href="annotated.xhtml"><span>Data&#160;Structures</span></a></li>
      <li class="current"><a href="files.xhtml"><span>Files</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
      </li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="files.xhtml"><span>File&#160;List</span></a></li>
      <li><a href="globals.xhtml"><span>Globals</span></a></li>
    </ul>
  </div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
$(document).ready(function(){initNavTree('_pyramid_info_8h_source.xhtml','');});
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="headertitle">
<div class="title">PyramidInfo.h</div>  </div>
</div><!--header-->
<div class="contents">
<a href="_pyramid_info_8h.xhtml">Go to the documentation of this file.</a><div class="fragment"><div class="line"><a name="l00001"></a><span class="lineno">    1</span>&#160;<span class="comment">/*</span></div><div class="line"><a name="l00002"></a><span class="lineno">    2</span>&#160;<span class="comment"> * Copyright (c) 2016, 2017 ARM Limited.</span></div><div class="line"><a name="l00003"></a><span class="lineno">    3</span>&#160;<span class="comment"> *</span></div><div class="line"><a name="l00004"></a><span class="lineno">    4</span>&#160;<span class="comment"> * SPDX-License-Identifier: MIT</span></div><div class="line"><a name="l00005"></a><span class="lineno">    5</span>&#160;<span class="comment"> *</span></div><div class="line"><a name="l00006"></a><span class="lineno">    6</span>&#160;<span class="comment"> * Permission is hereby granted, free of charge, to any person obtaining a copy</span></div><div class="line"><a name="l00007"></a><span class="lineno">    7</span>&#160;<span class="comment"> * of this software and associated documentation files (the &quot;Software&quot;), to</span></div><div class="line"><a name="l00008"></a><span class="lineno">    8</span>&#160;<span class="comment"> * deal in the Software without restriction, including without limitation the</span></div><div class="line"><a name="l00009"></a><span class="lineno">    9</span>&#160;<span class="comment"> * rights to use, copy, modify, merge, publish, distribute, sublicense, and/or</span></div><div class="line"><a name="l00010"></a><span class="lineno">   10</span>&#160;<span class="comment"> * sell copies of the Software, and to permit persons to whom the Software is</span></div><div class="line"><a name="l00011"></a><span class="lineno">   11</span>&#160;<span class="comment"> * furnished to do so, subject to the following conditions:</span></div><div class="line"><a name="l00012"></a><span class="lineno">   12</span>&#160;<span class="comment"> *</span></div><div class="line"><a name="l00013"></a><span class="lineno">   13</span>&#160;<span class="comment"> * The above copyright notice and this permission notice shall be included in all</span></div><div class="line"><a name="l00014"></a><span class="lineno">   14</span>&#160;<span class="comment"> * copies or substantial portions of the Software.</span></div><div class="line"><a name="l00015"></a><span class="lineno">   15</span>&#160;<span class="comment"> *</span></div><div class="line"><a name="l00016"></a><span class="lineno">   16</span>&#160;<span class="comment"> * THE SOFTWARE IS PROVIDED &quot;AS IS&quot;, WITHOUT WARRANTY OF ANY KIND, EXPRESS OR</span></div><div class="line"><a name="l00017"></a><span class="lineno">   17</span>&#160;<span class="comment"> * IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,</span></div><div class="line"><a name="l00018"></a><span class="lineno">   18</span>&#160;<span class="comment"> * FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE</span></div><div class="line"><a name="l00019"></a><span class="lineno">   19</span>&#160;<span class="comment"> * AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER</span></div><div class="line"><a name="l00020"></a><span class="lineno">   20</span>&#160;<span class="comment"> * LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,</span></div><div class="line"><a name="l00021"></a><span class="lineno">   21</span>&#160;<span class="comment"> * OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE</span></div><div class="line"><a name="l00022"></a><span class="lineno">   22</span>&#160;<span class="comment"> * SOFTWARE.</span></div><div class="line"><a name="l00023"></a><span class="lineno">   23</span>&#160;<span class="comment"> */</span></div><div class="line"><a name="l00024"></a><span class="lineno">   24</span>&#160;<span class="preprocessor">#ifndef __ARM_COMPUTE_PYRAMIDINFO_H__</span></div><div class="line"><a name="l00025"></a><span class="lineno">   25</span>&#160;<span class="preprocessor">#define __ARM_COMPUTE_PYRAMIDINFO_H__</span></div><div class="line"><a name="l00026"></a><span class="lineno">   26</span>&#160;</div><div class="line"><a name="l00027"></a><span class="lineno">   27</span>&#160;<span class="preprocessor">#include &quot;<a class="code" href="_tensor_shape_8h.xhtml">arm_compute/core/TensorShape.h</a>&quot;</span></div><div class="line"><a name="l00028"></a><span class="lineno">   28</span>&#160;<span class="preprocessor">#include &quot;<a class="code" href="_types_8h.xhtml">arm_compute/core/Types.h</a>&quot;</span></div><div class="line"><a name="l00029"></a><span class="lineno">   29</span>&#160;</div><div class="line"><a name="l00030"></a><span class="lineno">   30</span>&#160;<span class="preprocessor">#include &lt;cstddef&gt;</span></div><div class="line"><a name="l00031"></a><span class="lineno">   31</span>&#160;</div><div class="line"><a name="l00032"></a><span class="lineno">   32</span>&#160;<span class="keyword">namespace </span><a class="code" href="namespacearm__compute.xhtml">arm_compute</a></div><div class="line"><a name="l00033"></a><span class="lineno">   33</span>&#160;{</div><div class="line"><a name="l00035"></a><span class="lineno"><a class="line" href="classarm__compute_1_1_pyramid_info.xhtml">   35</a></span>&#160;<span class="keyword">class </span><a class="code" href="classarm__compute_1_1_pyramid_info.xhtml">PyramidInfo</a></div><div class="line"><a name="l00036"></a><span class="lineno">   36</span>&#160;{</div><div class="line"><a name="l00037"></a><span class="lineno">   37</span>&#160;<span class="keyword">public</span>:</div><div class="line"><a name="l00039"></a><span class="lineno">   39</span>&#160;    <a class="code" href="classarm__compute_1_1_pyramid_info.xhtml#a9e7e3f78b86c0a7f2cdd1ab1e836b2ed">PyramidInfo</a>();</div><div class="line"><a name="l00041"></a><span class="lineno">   41</span>&#160;    <span class="keyword">virtual</span> <a class="code" href="classarm__compute_1_1_pyramid_info.xhtml#a443529237e92a4364aaf662644dfc686">~PyramidInfo</a>() = <span class="keywordflow">default</span>;</div><div class="line"><a name="l00043"></a><span class="lineno">   43</span>&#160;    <a class="code" href="classarm__compute_1_1_pyramid_info.xhtml#a9e7e3f78b86c0a7f2cdd1ab1e836b2ed">PyramidInfo</a>(<span class="keyword">const</span> <a class="code" href="classarm__compute_1_1_pyramid_info.xhtml">PyramidInfo</a> &amp;) = <span class="keywordflow">default</span>;</div><div class="line"><a name="l00045"></a><span class="lineno">   45</span>&#160;    <a class="code" href="classarm__compute_1_1_pyramid_info.xhtml">PyramidInfo</a> &amp;<a class="code" href="classarm__compute_1_1_pyramid_info.xhtml#a21310a3eef49fc4f04b98897fc785b34">operator=</a>(<span class="keyword">const</span> <a class="code" href="classarm__compute_1_1_pyramid_info.xhtml">PyramidInfo</a> &amp;) = <span class="keywordflow">default</span>;</div><div class="line"><a name="l00047"></a><span class="lineno">   47</span>&#160;    <a class="code" href="classarm__compute_1_1_pyramid_info.xhtml#a9e7e3f78b86c0a7f2cdd1ab1e836b2ed">PyramidInfo</a>(<a class="code" href="classarm__compute_1_1_pyramid_info.xhtml">PyramidInfo</a> &amp;&amp;) = <span class="keywordflow">default</span>;</div><div class="line"><a name="l00049"></a><span class="lineno">   49</span>&#160;    <a class="code" href="classarm__compute_1_1_pyramid_info.xhtml">PyramidInfo</a> &amp;<a class="code" href="classarm__compute_1_1_pyramid_info.xhtml#a21310a3eef49fc4f04b98897fc785b34">operator=</a>(<a class="code" href="classarm__compute_1_1_pyramid_info.xhtml">PyramidInfo</a> &amp;&amp;) = <span class="keywordflow">default</span>;</div><div class="line"><a name="l00050"></a><span class="lineno">   50</span>&#160;</div><div class="line"><a name="l00061"></a><span class="lineno">   61</span>&#160;    <a class="code" href="classarm__compute_1_1_pyramid_info.xhtml#a9e7e3f78b86c0a7f2cdd1ab1e836b2ed">PyramidInfo</a>(<span class="keywordtype">size_t</span> <a class="code" href="classarm__compute_1_1_pyramid_info.xhtml#a14af062b9f957e61e4efe171fe7065a3">num_levels</a>, <span class="keywordtype">float</span> <a class="code" href="classarm__compute_1_1_pyramid_info.xhtml#ac0960069e9d05e0ee93ef010ce63913a">scale</a>, <span class="keywordtype">size_t</span> <a class="code" href="classarm__compute_1_1_pyramid_info.xhtml#a20646dd69e82674924c6e5eb1458eefa">width</a>, <span class="keywordtype">size_t</span> <a class="code" href="classarm__compute_1_1_pyramid_info.xhtml#ac0e3c6ba1d3f8a8e50aa3e3897210a2b">height</a>, <a class="code" href="namespacearm__compute.xhtml#ab4e88c89b3b7ea1735996cc4def22d58">Format</a> <a class="code" href="classarm__compute_1_1_pyramid_info.xhtml#a0c875a3203d902e2ad6bc3045355e69e">format</a>);</div><div class="line"><a name="l00062"></a><span class="lineno">   62</span>&#160;</div><div class="line"><a name="l00071"></a><span class="lineno">   71</span>&#160;    <a class="code" href="classarm__compute_1_1_pyramid_info.xhtml#a9e7e3f78b86c0a7f2cdd1ab1e836b2ed">PyramidInfo</a>(<span class="keywordtype">size_t</span> num_levels, <span class="keywordtype">float</span> scale, <span class="keyword">const</span> <a class="code" href="classarm__compute_1_1_tensor_shape.xhtml">TensorShape</a> &amp;<a class="code" href="classarm__compute_1_1_pyramid_info.xhtml#af3374fa8fcc6d226dc2b82317ab4d079">tensor_shape</a>, <a class="code" href="namespacearm__compute.xhtml#ab4e88c89b3b7ea1735996cc4def22d58">Format</a> format);</div><div class="line"><a name="l00072"></a><span class="lineno">   72</span>&#160;</div><div class="line"><a name="l00083"></a><span class="lineno">   83</span>&#160;    <span class="keywordtype">void</span> <a class="code" href="classarm__compute_1_1_pyramid_info.xhtml#a741486bedb7b0966b1d4e6e7c6cccf60">init</a>(<span class="keywordtype">size_t</span> num_levels, <span class="keywordtype">float</span> scale, <span class="keywordtype">size_t</span> width, <span class="keywordtype">size_t</span> height, <a class="code" href="namespacearm__compute.xhtml#ab4e88c89b3b7ea1735996cc4def22d58">Format</a> format);</div><div class="line"><a name="l00092"></a><span class="lineno">   92</span>&#160;    <span class="keywordtype">void</span> <a class="code" href="classarm__compute_1_1_pyramid_info.xhtml#a741486bedb7b0966b1d4e6e7c6cccf60">init</a>(<span class="keywordtype">size_t</span> num_levels, <span class="keywordtype">float</span> scale, <span class="keyword">const</span> <a class="code" href="classarm__compute_1_1_tensor_shape.xhtml">TensorShape</a> &amp;tensor_shape, <a class="code" href="namespacearm__compute.xhtml#ab4e88c89b3b7ea1735996cc4def22d58">Format</a> format);</div><div class="line"><a name="l00097"></a><span class="lineno">   97</span>&#160;    <span class="keywordtype">size_t</span> <a class="code" href="classarm__compute_1_1_pyramid_info.xhtml#a14af062b9f957e61e4efe171fe7065a3">num_levels</a>() <span class="keyword">const</span>;</div><div class="line"><a name="l00102"></a><span class="lineno">  102</span>&#160;    <span class="keywordtype">size_t</span> <a class="code" href="classarm__compute_1_1_pyramid_info.xhtml#a20646dd69e82674924c6e5eb1458eefa">width</a>() <span class="keyword">const</span>;</div><div class="line"><a name="l00107"></a><span class="lineno">  107</span>&#160;    <span class="keywordtype">size_t</span> <a class="code" href="classarm__compute_1_1_pyramid_info.xhtml#ac0e3c6ba1d3f8a8e50aa3e3897210a2b">height</a>() <span class="keyword">const</span>;</div><div class="line"><a name="l00112"></a><span class="lineno">  112</span>&#160;    <span class="keyword">const</span> <a class="code" href="classarm__compute_1_1_tensor_shape.xhtml">TensorShape</a> &amp;<a class="code" href="classarm__compute_1_1_pyramid_info.xhtml#af3374fa8fcc6d226dc2b82317ab4d079">tensor_shape</a>() <span class="keyword">const</span>;</div><div class="line"><a name="l00117"></a><span class="lineno">  117</span>&#160;    <a class="code" href="namespacearm__compute.xhtml#ab4e88c89b3b7ea1735996cc4def22d58">Format</a> <a class="code" href="classarm__compute_1_1_pyramid_info.xhtml#a0c875a3203d902e2ad6bc3045355e69e">format</a>() <span class="keyword">const</span>;</div><div class="line"><a name="l00122"></a><span class="lineno">  122</span>&#160;    <span class="keywordtype">float</span> <a class="code" href="classarm__compute_1_1_pyramid_info.xhtml#ac0960069e9d05e0ee93ef010ce63913a">scale</a>() <span class="keyword">const</span>;</div><div class="line"><a name="l00123"></a><span class="lineno">  123</span>&#160;</div><div class="line"><a name="l00124"></a><span class="lineno">  124</span>&#160;<span class="keyword">private</span>:</div><div class="line"><a name="l00125"></a><span class="lineno">  125</span>&#160;    <span class="keywordtype">size_t</span>      _num_levels;</div><div class="line"><a name="l00126"></a><span class="lineno">  126</span>&#160;    <a class="code" href="classarm__compute_1_1_tensor_shape.xhtml">TensorShape</a> _tensor_shape;</div><div class="line"><a name="l00127"></a><span class="lineno">  127</span>&#160;    <a class="code" href="namespacearm__compute.xhtml#ab4e88c89b3b7ea1735996cc4def22d58">Format</a>      _format;</div><div class="line"><a name="l00128"></a><span class="lineno">  128</span>&#160;    <span class="keywordtype">float</span>       _scale;</div><div class="line"><a name="l00129"></a><span class="lineno">  129</span>&#160;};</div><div class="line"><a name="l00130"></a><span class="lineno">  130</span>&#160;}</div><div class="line"><a name="l00131"></a><span class="lineno">  131</span>&#160;<span class="preprocessor">#endif </span><span class="comment">/*__ARM_COMPUTE_PYRAMIDINFO_H__ */</span><span class="preprocessor"></span></div><div class="ttc" id="classarm__compute_1_1_tensor_shape_xhtml"><div class="ttname"><a href="classarm__compute_1_1_tensor_shape.xhtml">arm_compute::TensorShape</a></div><div class="ttdoc">Shape of a tensor. </div><div class="ttdef"><b>Definition:</b> <a href="_tensor_shape_8h_source.xhtml#l00038">TensorShape.h:38</a></div></div>
<div class="ttc" id="classarm__compute_1_1_pyramid_info_xhtml_a443529237e92a4364aaf662644dfc686"><div class="ttname"><a href="classarm__compute_1_1_pyramid_info.xhtml#a443529237e92a4364aaf662644dfc686">arm_compute::PyramidInfo::~PyramidInfo</a></div><div class="ttdeci">virtual ~PyramidInfo()=default</div><div class="ttdoc">Default destructor. </div></div>
<div class="ttc" id="_types_8h_xhtml"><div class="ttname"><a href="_types_8h.xhtml">Types.h</a></div></div>
<div class="ttc" id="classarm__compute_1_1_pyramid_info_xhtml_a741486bedb7b0966b1d4e6e7c6cccf60"><div class="ttname"><a href="classarm__compute_1_1_pyramid_info.xhtml#a741486bedb7b0966b1d4e6e7c6cccf60">arm_compute::PyramidInfo::init</a></div><div class="ttdeci">void init(size_t num_levels, float scale, size_t width, size_t height, Format format)</div><div class="ttdoc">Initialize pyramid&amp;#39;s metadata for 2D tensors. </div></div>
<div class="ttc" id="classarm__compute_1_1_pyramid_info_xhtml_af3374fa8fcc6d226dc2b82317ab4d079"><div class="ttname"><a href="classarm__compute_1_1_pyramid_info.xhtml#af3374fa8fcc6d226dc2b82317ab4d079">arm_compute::PyramidInfo::tensor_shape</a></div><div class="ttdeci">const TensorShape &amp; tensor_shape() const </div><div class="ttdoc">Return the TensorShape of the o-th level tensor. </div></div>
<div class="ttc" id="classarm__compute_1_1_pyramid_info_xhtml_ac0e3c6ba1d3f8a8e50aa3e3897210a2b"><div class="ttname"><a href="classarm__compute_1_1_pyramid_info.xhtml#ac0e3c6ba1d3f8a8e50aa3e3897210a2b">arm_compute::PyramidInfo::height</a></div><div class="ttdeci">size_t height() const </div><div class="ttdoc">Return the height of the 0th level tensor. </div></div>
<div class="ttc" id="namespacearm__compute_xhtml"><div class="ttname"><a href="namespacearm__compute.xhtml">arm_compute</a></div><div class="ttdef"><b>Definition:</b> <a href="arm__compute_8dox_source.xhtml#l00001">arm_compute.dox:1</a></div></div>
<div class="ttc" id="namespacearm__compute_xhtml_ab4e88c89b3b7ea1735996cc4def22d58"><div class="ttname"><a href="namespacearm__compute.xhtml#ab4e88c89b3b7ea1735996cc4def22d58">arm_compute::Format</a></div><div class="ttdeci">Format</div><div class="ttdoc">Image colour formats. </div><div class="ttdef"><b>Definition:</b> <a href="_types_8h_source.xhtml#l00037">Types.h:37</a></div></div>
<div class="ttc" id="classarm__compute_1_1_pyramid_info_xhtml_a0c875a3203d902e2ad6bc3045355e69e"><div class="ttname"><a href="classarm__compute_1_1_pyramid_info.xhtml#a0c875a3203d902e2ad6bc3045355e69e">arm_compute::PyramidInfo::format</a></div><div class="ttdeci">Format format() const </div><div class="ttdoc">Return the image format of all tensor in the pyramid. </div></div>
<div class="ttc" id="classarm__compute_1_1_pyramid_info_xhtml_a20646dd69e82674924c6e5eb1458eefa"><div class="ttname"><a href="classarm__compute_1_1_pyramid_info.xhtml#a20646dd69e82674924c6e5eb1458eefa">arm_compute::PyramidInfo::width</a></div><div class="ttdeci">size_t width() const </div><div class="ttdoc">Return the width of the 0th level tensor. </div></div>
<div class="ttc" id="classarm__compute_1_1_pyramid_info_xhtml_a21310a3eef49fc4f04b98897fc785b34"><div class="ttname"><a href="classarm__compute_1_1_pyramid_info.xhtml#a21310a3eef49fc4f04b98897fc785b34">arm_compute::PyramidInfo::operator=</a></div><div class="ttdeci">PyramidInfo &amp; operator=(const PyramidInfo &amp;)=default</div><div class="ttdoc">Allow instances of this class to be copied. </div></div>
<div class="ttc" id="classarm__compute_1_1_pyramid_info_xhtml"><div class="ttname"><a href="classarm__compute_1_1_pyramid_info.xhtml">arm_compute::PyramidInfo</a></div><div class="ttdoc">Store the Pyramid&amp;#39;s metadata. </div><div class="ttdef"><b>Definition:</b> <a href="_pyramid_info_8h_source.xhtml#l00035">PyramidInfo.h:35</a></div></div>
<div class="ttc" id="classarm__compute_1_1_pyramid_info_xhtml_a14af062b9f957e61e4efe171fe7065a3"><div class="ttname"><a href="classarm__compute_1_1_pyramid_info.xhtml#a14af062b9f957e61e4efe171fe7065a3">arm_compute::PyramidInfo::num_levels</a></div><div class="ttdeci">size_t num_levels() const </div><div class="ttdoc">Return the number of the pyramid levels. </div></div>
<div class="ttc" id="classarm__compute_1_1_pyramid_info_xhtml_ac0960069e9d05e0ee93ef010ce63913a"><div class="ttname"><a href="classarm__compute_1_1_pyramid_info.xhtml#ac0960069e9d05e0ee93ef010ce63913a">arm_compute::PyramidInfo::scale</a></div><div class="ttdeci">float scale() const </div><div class="ttdoc">Return the scale factor of the pyramid. </div></div>
<div class="ttc" id="classarm__compute_1_1_pyramid_info_xhtml_a9e7e3f78b86c0a7f2cdd1ab1e836b2ed"><div class="ttname"><a href="classarm__compute_1_1_pyramid_info.xhtml#a9e7e3f78b86c0a7f2cdd1ab1e836b2ed">arm_compute::PyramidInfo::PyramidInfo</a></div><div class="ttdeci">PyramidInfo()</div><div class="ttdoc">Default constructor. </div></div>
<div class="ttc" id="_tensor_shape_8h_xhtml"><div class="ttname"><a href="_tensor_shape_8h.xhtml">TensorShape.h</a></div></div>
</div><!-- fragment --></div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="dir_214608ef36d61442cb2b0c1c4e9a7def.xhtml">arm_compute</a></li><li class="navelem"><a class="el" href="dir_1fb090f0c6070330bfaccc4236d3ca0d.xhtml">core</a></li><li class="navelem"><a class="el" href="_pyramid_info_8h.xhtml">PyramidInfo.h</a></li>
    <li class="footer">Generated on Wed Apr 12 2017 17:30:09 for ARM Compute Library by
    <a href="http://www.doxygen.org/index.html">
    <img class="footer" src="doxygen.png" alt="doxygen"/></a> 1.8.11 </li>
  </ul>
</div>
</body>
</html>
